curl --request POST \
--url https://api.tilta.io/v1/persons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"birth_date": 123,
"email": "jsmith@example.com",
"phone": "+491711010101",
"is_fatca": true,
"is_pep": true,
"tax_id": "<string>",
"citizenship": [],
"addresses": [
{
"postcode": "12345",
"city": "Berlin",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
first_name: '<string>',
last_name: '<string>',
birth_date: 123,
email: 'jsmith@example.com',
phone: '+491711010101',
is_fatca: true,
is_pep: true,
tax_id: '<string>',
citizenship: [],
addresses: [
{
postcode: '12345',
city: 'Berlin',
street: 'Example Street',
house: '42b',
additional: 'c/o Testimonial'
}
]
})
};
fetch('https://api.tilta.io/v1/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/persons"
payload = {
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"birth_date": 123,
"email": "jsmith@example.com",
"phone": "+491711010101",
"is_fatca": True,
"is_pep": True,
"tax_id": "<string>",
"citizenship": [],
"addresses": [
{
"postcode": "12345",
"city": "Berlin",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'external_id' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'birth_date' => 123,
'email' => 'jsmith@example.com',
'phone' => '+491711010101',
'is_fatca' => true,
'is_pep' => true,
'tax_id' => '<string>',
'citizenship' => [
],
'addresses' => [
[
'postcode' => '12345',
'city' => 'Berlin',
'street' => 'Example Street',
'house' => '42b',
'additional' => 'c/o Testimonial'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"external_id": "<string>",
"created_at": 1582896122,
"updated_at": 1582896122,
"first_name": "<string>",
"last_name": "<string>",
"salutation": "MR",
"birth_date": 123,
"email": "jsmith@example.com",
"phone": "+491711010101",
"is_fatca": true,
"is_pep": true,
"tax_id": "<string>",
"citizenship": [
"AF"
],
"addresses": [
{
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
}
]
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Create a person
Register a person record used as a legal representative or ultimate beneficial owner during merchant KYB onboarding and identity verification.
external_id, Tilta generates a UUID automatically.
date_of_birth field uses Unix timestamps in seconds, not milliseconds. January 1, 1980 at midnight UTC is
315532800. Use a timestamp converter if you are unsure of the correct value for a given date.Authorizations
Your Tilta API key, sent as Bearer <key>.
Body
Unique identifier of a person.
100^[a-zA-Z0-9-_]+$Person first name.
Person last name.
Person salutation.
MR, MS, OTHER Person date of birth.
Person email.
Person phone number. (+491711010101)
"+491711010101"
Is the person a US taxpayer under FATCA reporting obligations?
Is the person a Politically Exposed person (PEP)?
Person tax ID.
Person citizenship.
AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TM, TC, TV, TR, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX Show child attributes
Show child attributes
Response
A person has been successfully created or updated.
Unique identifier of a person.
100^[a-zA-Z0-9-_]+$Timestamp indicating when the person was created (unix time in seconds).
1582896122
Timestamp indicating the last time the person was updated (unix time in seconds).
1582896122
Person first name.
Person last name.
Person salutation.
MR, MS, OTHER Person date of birth.
Person email.
Person phone number. (+491711010101)
"+491711010101"
Is the person a US taxpayer under FATCA reporting obligations?
Is the person a Politically Exposed person (PEP)?
Person tax ID.
Person citizenship.
AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TM, TC, TV, TR, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX Show child attributes
Show child attributes